if(!require(rcdk)){install.packages("rcdk");library(rcdk)}
#----- SMILES=> TPSA, XLOGP, ALOGP
mol<-parse.smiles('C[C@@H](C(=O)O)N')[[1]]  #L-Alanine
get.tpsa(mol)  #TPSA, toplogical polar surface area
get.xlogp(mol) #XlogP
get.alogp(mol) #AlogP
get.mol2formula(mol)
get.stereo.types(mol)
get.stereocenters(mol)
get.total.charge(mol)
get.total.hydrogen.count(mol)
get.natural.mass(mol)
#---- 
do.isotopes(mol)
get.exact.mass(mol)